name: AWS rds controller
services:
  NodeGroupInventoryWallet:
    name: NodeGroupInventoryWallet
    type: NodeGroupInventoryWallet
    apiVersion: core.meshery.io/v1alpha1
    version: 0.7.1
    model: meshery-core
    dependsOn:
    - ack-rds-controller
    traits:
      meshmap:
        edges: []
        id: daa2ac4e-b3d5-448f-8294-d23c275c74eb
        label: NodeGroupInventoryWallet
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: null
          description: ""
          displayName: Meshery Core
          hostID: 26e64aa8-2d86-57bd-92b3-2a73160d27b4
          id: 3e2db384-d3af-5fac-8af2-684fc3c29446
          metadata:
            isAnnotation: false
            subCategory: App Definition and Development
            svgColor: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
            svgComplete: ""
            svgWhite: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
          model:
            version: 0.7.1
          name: meshery-core
          registrant:
            hostname: artifacthub
          relationships: null
          schemaVersion: core.meshery.io/v1beta1
          status: enabled
          subCategory: App Definition and Development
          version: v1.0.0
        meshmodel-metadata:
          capabilities: |-
            {
              "designer": {
                "pass-events-to": "parent",
                "edit": {
                  "config": false,
                  "copy": false,
                  "delete": false,
                  "duplicate": false,
                  "reset-styles": false,
                  "resolve": false,
                  "lock": false,
                  "shape": {
                    "convert-shape": false
                  },
                  "style": false
                },
                "label": {
                  "edit": false,
                  "show": false,
                  "sync-with-config-property": "none"
                }
              }
            }
          defaultData: '{"label":""}'
          genealogy: parent
          hasInvalidSchema: true
          isAnnotation: true
          primaryColor: '#00B39F'
          secondaryColor: '#00D3A9'
          shape: round-rectangle
          shapePolygonPoints: ""
          status: enabled
          styleOverrides:
            background-image: none
            background-opacity: 0.1
            border-style: dashed
            border-width: 0
            data:
              label: ""
            height: 30px
            width: 30px
            z-index: 3
          styles: '{"height":"30px","width":"30px", "background-image":"none","border-width":0,"border-style":"dashed","background-opacity":0.1}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/meshery-core/color/anchornode-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/meshery-core/white/anchornode-white.svg
        parent: 9a0efd9b-f96a-4e38-951d-d61b564c93bb
        position:
          posX: 10
          posY: 10
        whiteboardData: {}
  ack-rds-controller:
    name: ack-rds-controller
    type: Deployment
    apiVersion: apps/v1
    namespace: default
    model: kubernetes
    labels:
      app.kubernetes.io/instance: ack-rds-instance
      app.kubernetes.io/managed-by: Helm
      app.kubernetes.io/name: ack-rds-controller
      app.kubernetes.io/version: "1.0"
      helm.sh/chart: ack-rds-controller-1.0.0
      k8s-app: ack-rds-controller
    settings:
      spec:
        replicas: 1
        selector:
          match Labels:
            app.kubernetes.io/instance: ack-rds-instance
            app.kubernetes.io/name: ack-rds-controller
        template:
          metadata:
            labels:
              app.kubernetes.io/instance: ack-rds-instance
              app.kubernetes.io/managed-by: Helm
              app.kubernetes.io/name: ack-rds-controller
              k8s-app: ack-rds-controller
          spec:
            containers:
            - args:
              - --aws-region
              - $(AWS_REGION)
              - --aws-endpoint-url
              - $(AWS_ENDPOINT_URL)
              command:
              - ./bin/controller
              env:
              - name: AWS_REGION
                value: us-west-2
              - name: AWS_ENDPOINT_URL
                value: https://rds.amazonaws.com
              - name: ACK_LOG_LEVEL
                value: info
              - name: ACK_WATCH_NAMESPACE
                value: default
              - name: DELETION_POLICY
                value: retain
              image: myrepo/ack-rds-controller:latest
              image Pull Policy: IfNotPresent
              liveness Probe:
                http Get:
                  path: /healthz
                  port: 8081
                initial Delay Seconds: 15
                period Seconds: 20
              name: controller
              ports:
              - container Port: 8080
                name: http
              readiness Probe:
                http Get:
                  path: /readyz
                  port: 8081
                initial Delay Seconds: 5
                period Seconds: 10
              resources:
                limits:
                  cpu: 500m
                  memory: 128Mi
                requests:
                  cpu: 250m
                  memory: 64Mi
            service Account Name: ack-rds-controller
    traits:
      meshmap:
        edges: []
        id: 9a0efd9b-f96a-4e38-951d-d61b564c93bb
        meshmodel-metadata:
          capabilities: |2-
             {
              "designer": {
                "edit": {
                  "shape": {
                    "convert-shape": false
                  }
                }
              }
            }
          defaultData: ""
          genealogy: parent
          isAnnotation: false
          isCustomResource: false
          isModelAnnotation: "FALSE"
          isNamespaced: true
          logoURL: Created by Meshery Authors
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          secondaryColor: '#7aa1f0'
          shape: round-pentagon
          shapePolygonPoints: ""
          status: enabled
          styleOverrides: '{"border-width":2,"background-opacity":0.5}'
          styles: '{"border-width":2,"background-opacity":0.5}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/deployment-color.svg
          svgComplete: ui/public/static/img/meshmodels/kubernetes/complete/deployment-complete.svg
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/deployment-white.svg
        position:
          posX: 10
          posY: 10
        whiteboardData:
          style: {}
